﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace P3_1
{
    public partial class MyControl : UserControl
    {
        public event EventHandler ReadyToLoadPage;

        public string Message
        {
            get;
            set;
        }

        
        public MyControl()
        {
            InitializeComponent();
        }

        private void LayoutRoot_DoubleTap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            ProgressStoryboard.Begin();
        }

        private void ProgressStoryboard_Completed(object sender, EventArgs e)
        {
            if (Message!=null) 
                MessageBox.Show(Message);

            ReadyToLoadEventCall();
        }

        private void ReadyToLoadEventCall()
        {
            if (this.ReadyToLoadPage != null)
                this.ReadyToLoadPage(new object(), new EventArgs());
        }

    }
}
